function spline_runge

tt=-5:0.01:5;
ls=1:2:18;
%ls=1:9;
yys=zeros(length(ls),length(tt));
yyl=zeros(length(ls),length(tt));
for i=1:length(ls);
    l=ls(i);
    t=-5+10*(0:l+1)/(l+1);
    f=1./(1+t.^2);
    yys(i,:)=splines(t,f,'natural',tt);
    yyl(i,:)=splines(t,f,'linear',tt);
end;

yye=1./(1+tt.^2);
errs=max(abs(yys-repmat(yye,length(ls),1)),[],2);
errl=max(abs(yyl-repmat(yye,length(ls),1)),[],2);
for i=1:length(ls)
    subplot(3,3,i);
    plot(tt,yye,'--',tt,yys(i,:),tt,yyl(i,:));
    title(sprintf('l=%i, errs=%5.1e errl=%5.1e',ls(i),errs(i),errl(i)));
    fprintf('l=%2i, errs=%6.2e errl=%6.2e\n',ls(i),errs(i),errl(i));
end;
