function yy=splines(t,f,type,tt)
if nargin==0 || (nargin==1 && t==2)
    % Blatt 6, Aufgabe 2
    t=[0 1 3 5 6];
    f=[0 1 2 2 0];
    type='periodic';
    %type='linear';
end;

h=t(2:end)-t(1:end-1);
l=length(t)-2;
switch type
    case 'natural'
        A=zeros(l,l);
        b=zeros(l,1);
        for i=1:l
            A(i,i)=(h(i)+h(i+1))/3;
            b(i,1)=(f(i+2)-f(i+1))/h(i+1) - (f(i+1)-f(i))/h(i);
            if i<l A(i,i+1)=h(i+1)/6; end;
            if i>1 A(i,i-1)=h(i)/6; end;
        end;
        c=A\b;
        c=[0;c;0];
    case 'periodic'
        A=zeros(l+1,l+1);
        b=zeros(l+1,1);
        A(1,1)=(h(1)+h(l+1))/3;
        A(1,l+1)=h(l+1)/6;
        b(1)=(f(2)-f(1))/h(1)-(f(l+2)-f(l+1))/h(l+1);
        for i=1:l
            A(i,i+1)=h(i)/6;
            A(i+1,i+1)=(h(i)+h(i+1))/3;
            A(i+1,i)=h(i)/6;
            b(i+1)=(f(i+2)-f(i+1))/h(i+1)-(f(i+1)-f(i))/h(i);
        end;
        A(l+1,1)=h(l+1)/6;
        c=A\b;
        c(l+2)=c(1);
    case 'linear'
        b=(f(2:l+2)-f(1:l+1))./h(1:l+1);
        b=reshape(b,l+1,1);
end;

a=reshape(f(1:l+1),l+1,1);
if ~strcmp(type,'linear')
    b=zeros(l+1,1);
    d=zeros(l+1,1);
    for i=1:l+1
        d(i)=(c(i+1)-c(i))/h(i);
        b(i)=(f(i+1)-f(i))/h(i)-h(i)/6*(2*c(i)+c(i+1));
    end;
else
    c=zeros(l+1,1);
    d=zeros(l+1,1);    
end

if nargin<4
    tt=linspace(t(1),t(l+2),100*l);
end;
yy=zeros(size(tt));
for i=1:l+1
    sel=(tt>=t(i)) & (tt<=t(i+1));
    yy(sel)=d(i)/6;
    yy(sel)=yy(sel).*(tt(sel)-t(i))+c(i)/2;
    yy(sel)=yy(sel).*(tt(sel)-t(i))+b(i);
    yy(sel)=yy(sel).*(tt(sel)-t(i))+a(i);
end;
if nargout==0
    plot(tt,yy,t,f,'o');
    yy=[];
end;
